Name:		pfscalibration
Version:	1.4
Release:	6%{?dist}
Summary:	Scripts and programs for photometric calibration

Group:		Applications/Multimedia
License:	GPLv2+
URL:		http://pfstools.sourceforge.net/
Source0:	http://downloads.sourceforge.net/pfstools/%{name}-%{version}.tar.gz
Patch1:		pfscalibration-1.4-nonr.patch
Patch2:		pfscalibration-1.4-opt.patch
Patch3:		pfscalibration-CXXFLAGS.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	automake
Buildrequires:	libtool
BuildRequires:	libtiff-devel
BuildRequires:	pfstools-devel
BuildRequires:	pkgconfig
Requires:	perl
Requires:	dcraw
Requires:	jhead

%description
PFScalibration package provides an implementation of the Robertson et al. 2003
method for the photometric calibration of cameras, Mitsunaga and Nayar's
algorithm "Radiometric Self Calibration", and for the recovery of high dynamic
range (HDR) images from the set of low dynamic range (LDR) exposures.

%prep
%setup -q

%patch1 -p1 -b .nonr
%patch2 -p1 -b .opt
%patch3 -p1 -b .cxxflags

autoreconf
libtoolize --automake

%build
# Note that the configure script modifies the compiler options a bit.
# For the math-heavy code we want to take advantage of some additional
# options.  The default -O2 is replaced by some additional options
# (including -O3) but all the other default options are preserved.
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING README TODO AUTHORS ChangeLog
%{_bindir}/dcraw2hdrgen
%{_bindir}/jpeg2hdrgen
%{_bindir}/pfshdrcalibrate
%{_bindir}/pfsinhdrgen
%{_bindir}/pfsmergehdr
%{_mandir}/man1/dcraw2hdrgen.1.gz
%{_mandir}/man1/jpeg2hdrgen.1.gz
%{_mandir}/man1/pfshdrcalibrate.1.gz
%{_mandir}/man1/pfsinhdrgen.1.gz


%changelog
* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild


* Thu Jan 8 2009 Ulrich Drepper <drepper@redhat.com> - 1.4-5
- Require pkgconfig for building.

* Wed Jan 7 2009 Ulrich Drepper <drepper@redhat.com> - 1.4-4
- Fix configure script patch to not remove -g compiler option.

* Tue Jan 6 2009 Ulrich Drepper <drepper@redhat.com> - 1.4-3
- Add some documentation files
- Add additional optimizations differently

* Tue Jan 6 2009 Ulrich Drepper <drepper@redhat.com> - 1.4-2
- Run libtoolize
- Correct spec file
- Really use OpenMP

* Fri Jan 1 2009 Ulrich Drepper <drepper@redhat.com> - 1.4-1
- Update to 1.4.
  - remove nrutil requirement
- update optimization patch, drop bug fix patch

* Tue Aug 19 2008 Ulrich Drepper <drepper@redhat.com> - 1.3-1
- Initial package.
